//----------------------------------------------//
//		LOCK STAR-NW demo file for all C		//
// NetBIOS :									//
//		Function Name : PSNETBIOS()				//
//		Files  :	demo.c + lpsnetb.dll		//
// TCP/IP  :									//
//		Function Name : PSTCPIP()				//				
//		Files :		demo.c + lpstcpip.dll		//
//  Copyright by Logical Tech Co., Ltd.         //
//----------------------------------------------// 
#include	<windows.h>


#define	MASK_PRGLOGIN	0xf000
#define	MASK_PRGLOGOUT	0x8000

//----------------- For C++ ----------------
//extern "C" {
//int	APIENTRY PSNETBIOS(int,int,int,int,int,int,int,int,int*);
//int	APIENTRY PSTCPIP(int,int,int,int,int,int,int,int,int*);
//}

//---------------- For C ------------------
int	APIENTRY PSNETBIOS(int,int,int,int,int,int,int,int,int*);
int	APIENTRY PSTCPIP(int,int,int,int,int,int,int,int,int*);

int WINAPI WinMain(HANDLE hInst, HANDLE hPreInst,
		   LPSTR lpszCommandLine, int nCShow)
{
	int	programno=1,	// Set program number
		did=0x0d05,		// Set Company I.D high 2 bytes
		comp=0x1153,	// Set Company I.D low 2 bytes
		area=0x1234,	// Set password high 2 bytes for login
		no=1,			// Set id number 
		id=0,			// Set id
		commno=0,		// Set 0 
		sw=0,			// Set 0
		data,			// return login number
		protocol=0		// protocol flag 
	int	errcode;
	char	msgbuf[256];

// Login-------------------------------------
	MessageBox(GetFocus(),"Login to server For NETBIOS",
			"LS-Client TEST",MB_OK);
	errcode=PSNETBIOS(MASK_PRGLOGIN|programno,
			did,comp,area,no,
			id,commno,sw,&data);
	if(errcode){
		wsprintf(msgbuf,"Login ERROR FOR NETBIOS, ""ERROR CODE =  0x%x",errcode);
		MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
		programno=1;
		MessageBox(GetFocus(),"Login to server For TCP/IP",
			"LS-Client TEST",MB_OK);
		errcode=PSTCPIP((MASK_PRGLOGIN<<16)|programno,did,comp,area,no,
			id,commno,sw,&data);
	   if(errcode){
			wsprintf(msgbuf,"Login ERROR FOR TCP/IP, "
	   		"ERROR CODE =  0x%x",errcode);
			MessageBox(GetFocus(),"Login to server For TCP/IP",
			"LS-Client TEST",MB_OK);
			return 0;
			}
	   protocol=1;
	   }
	   wsprintf(msgbuf,"Login seccessfully, Net"
	   	"work handle is 0x%x",data);
	   MessageBox(GetFocus(),msgbuf,"LS-Cient TEST",MB_OK);

// Check Box data--------------------------------------
	programno = data; // Set Login data
 	area=0x5678;	// Set password high or low 2 bytes for READ/WRITE data 
	data=0xfedc;
	MessageBox(GetFocus(),"Write data to box",
			"LS-Client TEST",MB_OK);
	if(protcall)
		errcode=PSTCPIP(programno,
			did,comp,area,no,
			id,commno,sw,&data);
	else
		errcode=PSNETBIOS(programno,
			did,comp,area,no,
			id,commno,sw,&data);
	if(errcode)  {
	   wsprintf(msgbuf,"WRITE DATA ERROR = 0x%x",errcode);
	   MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
	   }
	else  {
	   wsprintf(msgbuf,"Write seccessfully, Net"
	   	"work return data is %x",data);
	   MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
	   }
		// Read  date from Box
	area=0x1234;
   	MessageBox(GetFocus(),"Read data from box",
			"LS-Client TEST",MB_OK);
	if(protcall)
		errcode=PSTCPIP(programno,
			did,comp,area,no,
			id,commno,sw,&data);
	else
		errcode=PSNETBIOS(programno,
			did,comp,area,no,
			id,commno,sw,&data);
	if(errcode)  {
	   wsprintf(msgbuf,"READ DATA ERROR = 0x%x",errcode);
	   MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
	   }
	else  {
	   wsprintf(msgbuf,"Read seccessfully, Net"
	   	"work return data is %x",data);
	   MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
	   }
// Logout-------------------------------------
	MessageBox(GetFocus(),"Logout server",
			"LS-Client TEST",MB_OK);
	if(protocol)
		errcode=PSTCPIP((MASK_PRGLOGOUT<<16)|programno,
			did,comp,area,no,
			id,commno,sw,&data);
	else
		errcode=PSNETBIOS(MASK_PRGLOGOUT|programno,
			did,comp,area,no,
			id,commno,sw,&data);
	if(errcode)  {
	   wsprintf(msgbuf,"Logout failure, "
	   		"error code is 0x%x",errcode);
	   MessageBox(GetFocus(),msgbuf,"LS-Client TEST",MB_OK);
	   }
	else
	   MessageBox(GetFocus(),"Logout seccessfully",
	   		"LS-Client TEST",MB_OK);
	return 0;
}

